com.r3corda.node.services.wallet / CashBalanceAsMetricsObserver

# CashBalanceAsMetricsObserver

`class CashBalanceAsMetricsObserver`

This class observes the wallet and reflect current cash balances as exposed metrics in the monitoring service.

### Constructors

<init> | `CashBalanceAsMetricsObserver(serviceHubInternal: ServiceHubInternal)` This class observes the wallet and reflect current cash balances as exposed metrics in the monitoring service.

### Properties

serviceHubInternal | `val serviceHubInternal: ServiceHubInternal`